## weboob 0.c

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Weboob.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Weboob.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## weboob 0.b

=== debian/changelog ===
weboob (0.b-2) unstable; urgency=low

  * Change description of havedate.

 -- Romain Bignon <romain@symlink.me>  Tue, 17 Apr 2012 23:27:59 +0200

weboob (0.b-1) unstable; urgency=low

  * New Upstream Release.
  * Rename q?havesex to q?havedate.

 -- Romain Bignon <romain@symlink.me>  Fri, 16 Mar 2012 14:10:05 +0100

weboob (0.a-3) unstable; urgency=low

  * Add missing files.
  * Change license of package to AGPLv3.

 -- Romain Bignon <romain@symlink.me>  Tue, 08 Feb 2012 10:33:00 +0100

weboob (0.a-2) unstable; urgency=low

  * New Upstream Release;
  * Do not package backends anymore.
  * Closes: #577667

 -- Romain Bignon <romain@symlink.me>  Sun, 05 Feb 2012 16:47:37 +0100

weboob (0.9.2-1) unstable; urgency=low

  * New Upstream Release

 -- Romain Bignon <romain@symlink.me>  Sun, 15 Jan 2012 16:45:53 +0100

weboob (0.9.1-1) unstable; urgency=low

  * New Upstream Release

 -- Romain Bignon <romain@symlink.me>  Sat, 03 Dec 2011 14:28:41 +0100

weboob (0.9-1) unstable; urgency=low

  * New Upstream Release

 -- Romain Bignon <romain@symlink.me>  Mon, 10 Oct 2011 12:44:45 +0200

weboob (0.8.5-1) unstable; urgency=low

  * New Upstream Release

 -- Romain Bignon <romain@symlink.me>  Thu, 04 Aug 2011 09:58:32 +0200

weboob (0.8.4-1) unstable; urgency=low

  * New Upstream Release

 -- Romain Bignon <romain@symlink.me>  Mon, 11 Jul 2011 14:33:48 +0200

weboob (0.8.3-1) unstable; urgency=low

  * New Upstream Release

 -- Romain Bignon <romain@symlink.me>  Wed, 22 Jun 2011 16:26:06 +0200

weboob (0.8.2-1) unstable; urgency=low

  * New Upstream Release.

 -- Romain Bignon <romain@symlink.me>  Tue, 31 May 2011 09:20:51 +0200

weboob (0.8.1-2) unstable; urgency=low

  * Oops missing files.

 -- Romain Bignon <romain@symlink.me>  Wed, 11 May 2011 17:10:39 +0200

weboob (0.8.1-1) unstable; urgency=low

  * New Upstream Release.

 -- Romain Bignon <romain@symlink.me>  Wed, 11 May 2011 16:27:28 +0200

weboob (0.8-1) unstable; urgency=low

  * New Upstream Release.

 -- Romain Bignon <romain@symlink.me>  Mon, 09 May 2011 11:18:49 +0200

weboob (0.7-2) unstable; urgency=low

  * Add dailymotion backend.

 -- Christophe Benz <christophe.benz@gmail.com>  Tue, 05 Apr 2011 14:35:20 +0200

weboob (0.7-1.1) unstable; urgency=low

  * Declare package replacement.

 -- Christophe Benz <christophe.benz@gmail.com>  Mon, 04 Apr 2011 15:06:39 +0200

weboob (0.7-1) unstable; urgency=low

  * New Upstream Release.

 -- Christophe Benz <christophe.benz@gmail.com>  Fri, 01 Apr 2011 12:49:12 +0100

weboob (0.6-1) unstable; urgency=low

  * New Upstream Release.

 -- Romain Bignon <romain@symlink.me>  Sat, 05 Mar 2011 22:51:53 +0100

weboob (0.4-1) unstable; urgency=low

  * New backends: Bouygues, CanalPlus, CreditMutuel, IPInfoDB, IsoHunt,
    KickAss, PirateBay, SFR, SocieteGenerale.
  * New application: boobmsg.

 -- Christophe Benz <christophe.benz@gmail.com>  Fri, 03 Dec 2010 11:50:52 +0100

weboob (0.3-2) unstable; urgency=low

  * package newsfeed, ouifm and redmine backends
  * add icons

 -- Christophe Benz <christophe.benz@gmail.com>  Wed, 03 Nov 2010 20:52:17 +0100

weboob (0.3-1) unstable; urgency=low

  * Initial release

 -- Christophe Benz <christophe.benz@gmail.com>  Thu, 30 Sep 2010 19:01:33 +0100

=== debian/control ===
Source: weboob
Section: python
Priority: optional
Maintainer: Romain Bignon <romain@symlink.me>
Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 7.4.3), python-support (>= 0.8.4), pyqt4-dev-tools
Standards-Version: 3.9.2
Homepage: http://www.weboob.org/
Vcs-Git: git://git.symlink.me/pub/romain/weboob-packaging.git
Vcs-Browser: http://git.symlink.me/?p=romain/weboob-packaging.git;a=summary

Package: python-weboob-core
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-dateutil, python-lxml,
 python-mechanize, python-yaml
Recommends: python-clientform, python-imaging, python-gdata
Suggests: python-nose, python-pysqlite2, weboob
Conflicts: python-weboob-backends (<< 0.a-2), python-weboob-backends-contrib (<< 0.a-2), python-weboob-webkit (<< 0.a-2)
Replaces: python-weboob-backends (<< 0.a-2), python-weboob-backends-contrib (<< 0.a-2), python-weboob-webkit (<< 0.a-2)
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Weboob, Web Out Of Browsers - core library
 Weboob is a project helping interaction between applications and websites.
 .
 This package contains:
  * applications base classes (command-line REPL and Qt4)
  * backends base classes
  * weboob-config: command-line configuration program
 .
 Applications and backends are distributed in other packages.

Package: weboob
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-weboob-core (>= 0.b), python-html2text, python-prettytable
Conflicts: boobank (<< 0.a-2), boobmsg (<< 0.a-2), chatoob (<< 0.a-2), galleroob (<< 0.a-2), geolooc (<< 0.a-2),
 havesex (<< 0.a-2), monboob (<< 0.a-2), pastoob (<< 0.a-2), radioob (<< 0.a-2), traveloob (<< 0.a-2), videoob (<< 0.a-2),
 webcontentedit (<< 0.a-2), weboorrents (<< 0.a-2), wetboobs (<< 0.a-2)
Replaces: boobank (<< 0.a-2), boobmsg (<< 0.a-2), chatoob (<< 0.a-2), galleroob (<< 0.a-2), geolooc (<< 0.a-2),
 havesex (<< 0.a-2), monboob (<< 0.a-2), pastoob (<< 0.a-2), radioob (<< 0.a-2), traveloob (<< 0.a-2), videoob (<< 0.a-2),
 webcontentedit (<< 0.a-2), weboorrents (<< 0.a-2), wetboobs (<< 0.a-2)
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: CLI applications to interact with websites
 This package contains command-line applications including:
  * boobank: Bank accounts management
  * boobathon: Application to participate to a boobathon
  * boobill: Application allowing to get and download bills
  * boobmsg: Read and post messages on websites from console
  * boobooks: List your books rented or booked at the library
  * boobtracker: Search and download torrents
  * flatboob: Look for a house
  * galleroob: Galleries search tool
  * geolooc: Geolocalize IP addresses from console
  * havedate: Increase your success on dating websites
  * monboob: Email proxy for websites containing messages
  * pastoob: Paste long text and see pastes
  * radioob: Radio search and listening tool
  * traveloob: Travel search tool
  * videoob: Video search tool
  * webcontentedit: Edit website contents from the command line
  * weboorrents: Torrent search tool
  * wetboobs: Weather forecast search tool

Package: weboob-qt
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-weboob-core (>= 0.b), python-qt4-phonon
Conflicts: python-weboob-qt (<< 0.a-2), qboobmsg (<< 0.a-2), qhavesex (<< 0.a-2), qvideoob (<< 0.a-2),
 qwebcontentedit (<< 0.a-2)
Replaces: python-weboob-qt (<< 0.a-2), qboobmsg (<< 0.a-2), qhavesex (<< 0.a-2), qvideoob (<< 0.a-2),
 qwebcontentedit (<< 0.a-2)
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Qt applications to interact with websites
 This package contains Qt applications including:
  * qboobmsg: Read and post messages on websites
  * qflatboob: Look for a house
  * qhavedate: Increase your success on dating websites
  * qvideoob: Video search tool
  * qwebcontentedit: Edit website contents

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	dh_auto_clean
	rm -rf weboob.egg-info/

%:
	dh  $@ --with-python2

## weboob 0.c

=== debian/changelog ===
weboob (0.c-4) unstable; urgency=low

  * Add watch file for uscan
  * Really import upstream tarball version 0.c
  * Fix cleanup of generated files
  * Bump standard-version to 3.9.3 (no change needed)
  * Use Breaks instead of Conflicts
  * Fix typo and whatis entry in manpages
  * Ignore dynamic quilt files
  * Fix call to dh_python2
  * Bump debhelper compat level to 9 (recommanded version)
  * Fail when not all files are installed or explicitely ignored
  * Install bash autocompletion
  * Add weboob-debug to python-weboob-core package
  * Do not install egg file, only meta-data
  * Cleanup substvar in debian/control

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 23 May 2012 12:39:59 +0200

weboob (0.c-3) unstable; urgency=low

  * Use the right tarball.

 -- Romain Bignon <romain@symlink.me>  Sat, 05 May 2012 00:17:20 +0200

weboob (0.c-2) unstable; urgency=low

  * Fix dependencies.

 -- Romain Bignon <romain@symlink.me>  Sat, 05 May 2012 00:05:49 +0200

weboob (0.c-1) unstable; urgency=low

  * New Upstream Release

 -- Romain Bignon <romain@symlink.me>  Fri, 04 May 2012 22:50:55 +0200

=== debian/control ===
Source: weboob
Section: python
Priority: optional
Maintainer: Romain Bignon <romain@symlink.me>
Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 9~), pyqt4-dev-tools, python-all (>= 2.6.6-3~)
Standards-Version: 3.9.3
Homepage: http://www.weboob.org/
Vcs-Git: git://git.symlink.me/pub/romain/weboob-packaging.git
Vcs-Browser: http://git.symlink.me/?p=romain/weboob-packaging.git;a=summary

Package: python-weboob-core
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-dateutil, python-lxml,
 python-mechanize, python-yaml
Recommends: python-clientform, python-imaging, python-gdata
Suggests: python-nose, python-pysqlite2, weboob
Breaks: python-weboob-backends (<< 0.a-2), python-weboob-backends-contrib (<< 0.a-2), python-weboob-webkit (<< 0.a-2)
Replaces: python-weboob-backends (<< 0.a-2), python-weboob-backends-contrib (<< 0.a-2), python-weboob-webkit (<< 0.a-2)
Provides: ${python:Provides}
Description: Weboob, Web Out Of Browsers - core library
 Weboob is a project helping interaction between applications and websites.
 .
 This package contains:
  * applications base classes (command-line REPL and Qt4)
  * backends base classes
  * weboob-config: command-line configuration program
 .
 Applications and backends are distributed in other packages.

Package: weboob
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-weboob-core (>= ${source:Version}), python-html2text, python-prettytable
Breaks: boobank (<< 0.a-2), boobmsg (<< 0.a-2), chatoob (<< 0.a-2), galleroob (<< 0.a-2), geolooc (<< 0.a-2),
 havesex (<< 0.a-2), monboob (<< 0.a-2), pastoob (<< 0.a-2), radioob (<< 0.a-2), traveloob (<< 0.a-2), videoob (<< 0.a-2),
 webcontentedit (<< 0.a-2), weboorrents (<< 0.a-2), wetboobs (<< 0.a-2)
Replaces: boobank (<< 0.a-2), boobmsg (<< 0.a-2), chatoob (<< 0.a-2), galleroob (<< 0.a-2), geolooc (<< 0.a-2),
 havesex (<< 0.a-2), monboob (<< 0.a-2), pastoob (<< 0.a-2), radioob (<< 0.a-2), traveloob (<< 0.a-2), videoob (<< 0.a-2),
 webcontentedit (<< 0.a-2), weboorrents (<< 0.a-2), wetboobs (<< 0.a-2)
Description: CLI applications to interact with websites
 This package contains command-line applications including:
  * boobank: Bank accounts management
  * boobathon: Application to participate to a boobathon
  * boobill: Application allowing to get and download bills
  * boobmsg: Read and post messages on websites from console
  * boobooks: List your books rented or booked at the library
  * boobtracker: Search and download torrents
  * comparoob: Compare prices of products.
  * flatboob: Look for a house
  * galleroob: Galleries search tool
  * geolooc: Geolocalize IP addresses from console
  * havedate: Increase your success on dating websites
  * monboob: Email proxy for websites containing messages
  * pastoob: Paste long text and see pastes
  * radioob: Radio search and listening tool
  * translaboob: Translate functions.
  * traveloob: Travel search tool
  * videoob: Video search tool
  * webcontentedit: Edit website contents from the command line
  * weboorrents: Torrent search tool
  * wetboobs: Weather forecast search tool

Package: weboob-qt
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-weboob-core (>= ${source:Version}), python-qt4-phonon
Breaks: python-weboob-qt (<< 0.a-2), qboobmsg (<< 0.a-2), qhavesex (<< 0.a-2), qvideoob (<< 0.a-2),
 qwebcontentedit (<< 0.a-2)
Replaces: python-weboob-qt (<< 0.a-2), qboobmsg (<< 0.a-2), qhavesex (<< 0.a-2), qvideoob (<< 0.a-2),
 qwebcontentedit (<< 0.a-2)
Description: Qt applications to interact with websites
 This package contains Qt applications including:
  * qboobmsg: Read and post messages on websites
  * qflatboob: Look for a house
  * qhavedate: Increase your success on dating websites
  * qvideoob: Video search tool
  * qwebcontentedit: Edit website contents

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	dh_auto_clean
	# Remove generated files so that dpkg-source does not complain for differences
	$(RM) -r weboob.egg-info/
	find . -iname "*.ui" | while read f ; do \
		$(RM) -- "$$(dirname "$$f")/$$(basename "$$f" .ui)_ui.py" ;\
	done
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source so that git-buildpackage works correctly
	-test -d .git && git checkout -- $$(git status | \
		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
		grep -v '^debian/')

override_dh_auto_install:
	dh_auto_install -- --single-version-externally-managed
	mkdir -p debian/tmp/etc/bash_completion.d
	cp tools/weboob_bash_completion \
		debian/tmp/etc/bash_completion.d/weboob

override_dh_install:
	dh_install --fail-missing \
		-Xmasstransit \
		-Xallomatch.png \
		-Xbanquepopulaire.png \
		-Xchatoob.png \
		-Xgoogle.png

%:
	dh $@ --with python2

## weboob 0.f

=== Makefile ===
core := weboob/tools/application/qt
applications := qboobmsg qhavedate qwebcontentedit qflatboob qcineoob qcookboob
ifeq ($(WIN32),)
	applications += qvideoob
endif

directories := $(core) $(applications:%=weboob/applications/%/ui)

.PHONY: clean all $(directories)

all: target := all
all: $(directories)

clean: target := clean
clean: $(directories)

$(directories):
	$(MAKE) -C $@ $(target)

=== debian/changelog ===
weboob (0.f-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New upstream release (Closes: #699242)
  * debian/control: update Vcs-* fields to point to collab-maint, the
    package is now maintained there
  * debian/patches: disable patches integrated upstream
    - for-upstream_fix-manpage-header.patch
    - for-upstream_fix-manpage-typos.patch
  * debian/patches/rename-Makefile-to-avoid-spurious-build-attempts: new
    patch to avoid confusing dh_auto_*; for the same reason also remove
    Makefile upon clean (already integrated upstream in devel branch)
  * debian/*.install
    - install new applications: booblyrics, cineoob, cookboob, suboob,
      qcineoob, qcookboob
    - install new icons for: comparoob
  * debian/gbp.conf: create file, with setting to use pristine-tar

  [ Romain Bignon ]
  * Add missing manpages
  * Add description of new applications

 -- Romain Bignon <romain@symlink.me>  Thu, 23 May 2013 16:00:40 +0200

weboob (0.c-4.1) unstable; urgency=low

  * Non-maintainer upload, already approved by the maintainer.
  * Fix incompatibility with the last version of python-prettytable.
    (Closes: #690301)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 18 Oct 2012 20:25:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 9~), pyqt4-dev-tools, python-all (>= 2.6.6-3~)
 Standards-Version: 3.9.3
 Homepage: http://www.weboob.org/
-Vcs-Git: git://git.symlink.me/pub/romain/weboob-packaging.git
-Vcs-Browser: http://git.symlink.me/?p=romain/weboob-packaging.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/weboob.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/weboob.git;a=summary
 
 Package: python-weboob-core
 Architecture: all
@@ -41,10 +41,13 @@
   * boobank: Bank accounts management
   * boobathon: Application to participate to a boobathon
   * boobill: Application allowing to get and download bills
+  * booblyrics: Search and display song lyric
   * boobmsg: Read and post messages on websites from console
   * boobooks: List your books rented or booked at the library
   * boobtracker: Search and download torrents
-  * comparoob: Compare prices of products.
+  * cineoob: Search movies, persons, torrents, subtitles, and get info about them
+  * comparoob: Compare prices of products
+  * cookboob: Search recipes, display details and export it in a readable format
   * flatboob: Look for a house
   * galleroob: Galleries search tool
   * geolooc: Geolocalize IP addresses from console
@@ -52,7 +55,8 @@
   * monboob: Email proxy for websites containing messages
   * pastoob: Paste long text and see pastes
   * radioob: Radio search and listening tool
-  * translaboob: Translate functions.
+  * suboob: Search and download subtitles for movies
+  * translaboob: Translate functions
   * traveloob: Travel search tool
   * videoob: Video search tool
   * webcontentedit: Edit website contents from the command line
@@ -69,6 +73,8 @@
 Description: Qt applications to interact with websites
  This package contains Qt applications including:
   * qboobmsg: Read and post messages on websites
+  * qcineoob: Search for movies, persons, torrents, subtitles, and get info about them
+  * qcookboob: Search recipes, find one, and cook
   * qflatboob: Look for a house
   * qhavedate: Increase your success on dating websites
   * qvideoob: Video search tool

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,13 @@
 		-Xchatoob.png \
 		-Xgoogle.png
 
+override_dh_clean:
+	# transitional: can be removed when the need of
+	# debian/patches/rename-Makefile-to-avoid-spurious-build-attempts.patch
+	# is gone
+	-test -f Makefile && rm -f Makefile
+	dh_clean
+
 %:
 	dh $@ --with python2

## weboob 0.g

=== weboob/applications/qboobmsg/ui/Makefile ===
UI_FILES = $(wildcard *.ui)
UI_PY_FILES = $(UI_FILES:%.ui=%_ui.py)
PYUIC = pyuic4

all: $(UI_PY_FILES)

%_ui.py: %.ui
	$(PYUIC) -o $@ $^

clean:
	rm -f *.pyc
	rm -f $(UI_PY_FILES)

=== weboob/tools/application/qt/Makefile ===
UI_FILES = $(wildcard *.ui)
UI_PY_FILES = $(UI_FILES:%.ui=%_ui.py)
PYUIC = pyuic4

all: $(UI_PY_FILES)

%_ui.py: %.ui
	$(PYUIC) -o $@ $^

clean:
	rm -f *.pyc
	rm -f $(UI_PY_FILES)

=== debian/changelog ===
weboob (0.g-1) unstable; urgency=low

  * New upstream release
  * debian/patches: disable patches integrated upstream
    - rename-Makefile-to-avoid-spurious-build-attempts.patch
    - add-missing-manpages.patch
  * debian/*.install
    - add new applications: handjoob, parceloob, qhandjoob
  * control
    - website is http://weboob.org/
    - add python-pillow and python-feedparser as dependences
    - bump standard-version to 3.9.4 (no change needed)
  * rules
    - remove override_dh_clean
    - add override_dh_python2 to prevent doing bad guess

 -- Romain Bignon <romain@symlink.me>  Sun, 04 Aug 2013 10:35:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Romain Bignon <romain@symlink.me>
 Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 9~), pyqt4-dev-tools, python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.3
-Homepage: http://www.weboob.org/
+Standards-Version: 3.9.4
+Homepage: http://weboob.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/weboob.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/weboob.git;a=summary
 
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-dateutil, python-lxml,
  python-mechanize, python-yaml
-Recommends: python-clientform, python-imaging, python-gdata
+Recommends: python-clientform, python-imaging | python-pillow, python-gdata, python-feedparser
 Suggests: python-nose, python-pysqlite2, weboob
 Breaks: python-weboob-backends (<< 0.a-2), python-weboob-backends-contrib (<< 0.a-2), python-weboob-webkit (<< 0.a-2)
 Replaces: python-weboob-backends (<< 0.a-2), python-weboob-backends-contrib (<< 0.a-2), python-weboob-webkit (<< 0.a-2)
@@ -45,14 +45,18 @@
   * boobmsg: Read and post messages on websites from console
   * boobooks: List your books rented or booked at the library
   * boobtracker: Search and download torrents
-  * cineoob: Search movies, persons, torrents, subtitles, and get info about them
+  * cineoob: Search movies, persons, torrents, subtitles, and get info about
+             them
   * comparoob: Compare prices of products
-  * cookboob: Search recipes, display details and export it in a readable format
+  * cookboob: Search recipes, display details and export it in a readable
+              format
   * flatboob: Look for a house
   * galleroob: Galleries search tool
   * geolooc: Geolocalize IP addresses from console
+  * handjoob: Find a job
   * havedate: Increase your success on dating websites
   * monboob: Email proxy for websites containing messages
+  * parceloob: Track shipping of parcels
   * pastoob: Paste long text and see pastes
   * radioob: Radio search and listening tool
   * suboob: Search and download subtitles for movies
@@ -73,9 +77,11 @@
 Description: Qt applications to interact with websites
  This package contains Qt applications including:
   * qboobmsg: Read and post messages on websites
-  * qcineoob: Search for movies, persons, torrents, subtitles, and get info about them
+  * qcineoob: Search for movies, persons, torrents, subtitles, and get info
+              about them
   * qcookboob: Search recipes, find one, and cook
   * qflatboob: Look for a house
+  * qhandjoob: Find a job
   * qhavedate: Increase your success on dating websites
   * qvideoob: Video search tool
   * qwebcontentedit: Edit website contents

=== debian/rules ===
--- 
+++ 
@@ -27,13 +27,10 @@
 		-Xchatoob.png \
 		-Xgoogle.png
 
-override_dh_clean:
-	# transitional: can be removed when the need of
-	# debian/patches/rename-Makefile-to-avoid-spurious-build-attempts.patch
-	# is gone
-	-test -f Makefile && rm -f Makefile
-	dh_clean
-
 %:
 	dh $@ --with python2
 
+# doing bad guess for imaging/pillow
+override_dh_python2:
+	dh_python2 --no-guessing-deps
+

## weboob 0.i

=== debian/changelog ===
weboob (0.i-3) unstable; urgency=low

  [ Romain Bignon ]
  * debian/patches/fix-use-of-configparser.patch: fix crash with python2.7
    when python-configparser is installed (Closes: #749731)

  [ Tanguy Ortolo ]
  * debian/patches/*.patch: Add a DEP-3 header.
  * debian/patches/fix-install-modules-without-icons.patch: refresh to apply
    after fix-use-of-configparser.patch.

 -- Romain Bignon <romain@symlink.me>  Wed, 11 Jun 2014 12:34:37 +0200

weboob (0.i-2) unstable; urgency=low

  * debian/patches/fix-python2.7.7-break.patch: fix crash caused by an
    internal change in HTTPConnection on python2.7.7
  * debian/control: rename package python-weboob-core to python-weboob
  * debian/control: change description of python-weboob to explicitly mention
    this is a library

 -- Romain Bignon <romain@symlink.me>  Wed, 21 May 2014 22:01:04 +0200

weboob (0.i-1) unstable; urgency=low

  * New Upstream Release (Closes: 728877)
  * debian/control: remove old Breaks and Replaces directives
  * debian/weboob.install: install new icons for boobsize and boobcoming
  * debian/patches/fix-install-modules-without-icons.patch: add patch to fix a
    crash when installing a module without icon
  * debian/python-weboob-core.install: install the new browser2 module

 -- Romain Bignon <romain@symlink.me>  Mon, 19 May 2014 23:24:16 +0200

weboob (0.h-1) unstable; urgency=low

  * New Upstream Release (Closes: #737702, #738344)
  * debian/control: recommends python-termcolor (Closes: #722106)
  * debian/copyright: adapt to support new copyright format.
  * debian/control: update Standards-Version to 3.9.5 (no change needed).

 -- Romain Bignon <romain@symlink.me>  Mon, 10 Feb 2014 07:17:20 +0100

weboob (0.g-2) unstable; urgency=low

  * Add a dependency to python-cssselect, a new package extracted from
    python-lxml (Closes: #715411).

 -- Romain Bignon <romain@symlink.me>  Mon, 12 Aug 2013 00:02:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 		grep -v '^debian/')
 
 override_dh_auto_install:
-	dh_auto_install -- --single-version-externally-managed
+	dh_auto_install -- --single-version-externally-managed --qt
 	mkdir -p debian/tmp/etc/bash_completion.d
 	cp tools/weboob_bash_completion \
 		debian/tmp/etc/bash_completion.d/weboob
@@ -25,7 +25,8 @@
 		-Xallomatch.png \
 		-Xbanquepopulaire.png \
 		-Xchatoob.png \
-		-Xgoogle.png
+		-Xgoogle.png \
+		-Xvideoob-web.png
 
 %:
 	dh $@ --with python2

## weboob 1.0

=== debian/changelog ===
weboob (1.0-3) unstable; urgency=medium

  *debian/patches/0004-prompt-user-to-accept-an-untrusted-keyring.patch:
   prompt user to accept an untrusted keyring when updating repositories
   (Closes: #774838).

 -- Romain Bignon <romain@symlink.me>  Sun, 18 Jan 2015 16:07:58 +0100

weboob (1.0-2) unstable; urgency=low

  * debian/patches/0003-fix-compatibility-with-a-patch-introduced-by-768611.patch:
    disable SSLv3 to be compliant with changes introduced by #768611 in Python
    (Closes: #771499).

 -- Romain Bignon <romain@symlink.me>  Mon, 08 Dec 2014 20:25:54 +0100

weboob (1.0-1) unstable; urgency=low

  * New Upstream Release
  * debian/patches/0001-Set-copyright-in-applications.patch: new patch
    backported from upstream to set copyright to current year.
  * patches/0002-fix-StatusField-to-be-a-BaseObject.patch: new patch
    backported from upstream to inherits StatusField from BaseObject (fix
    crash in boobmsg).

 -- Romain Bignon <romain@symlink.me>  Sat, 18 Oct 2014 12:57:54 +0200

weboob (0.j-1) unstable; urgency=low

  [ Romain Bignon ]
  * New Upstream Release
  * debian/patches/*.patch: remove them as these bugs are fixed upstream.

  [ Tanguy Ortolo ]
  * debian/rules: exclude a duplicate file which name ends with a space.

 -- Romain Bignon <romain@symlink.me>  Sat, 06 Sep 2014 12:13:53 +0200

=== debian/control ===
Source: weboob
Section: python
Priority: optional
Maintainer: Romain Bignon <romain@symlink.me>
Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 9~), pyqt4-dev-tools, python-all (>= 2.6.6-3~)
Standards-Version: 3.9.5
Homepage: http://weboob.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/weboob.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/weboob.git;a=summary

Package: python-weboob
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-dateutil, python-lxml,
 python-mechanize, python-yaml, python-cssselect, python-requests (>= 2.0)
Recommends: python-clientform, python-imaging | python-pillow, python-gdata, python-feedparser
Suggests: python-nose, python-pysqlite2, weboob
Provides: ${python:Provides}
Breaks: python-weboob-core (<< 0.i-2)
Replaces: python-weboob-core (<< 0.i-2)
Description: Weboob, Web Out Of Browsers - library
 Weboob is a project helping interaction between applications and websites.
 .
 This package contains:
  * the weboob library
  * applications base classes (command-line REPL and Qt4)
  * backends base classes
  * weboob-config: command-line configuration program
 .
 Applications and backends are distributed in other packages.

Package: python-weboob-core
Depends: python-weboob, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: weboob
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-weboob (>= ${source:Version}), python-html2text, python-prettytable
Recommends: python-termcolor
Description: CLI applications to interact with websites
 This package contains command-line applications including:
  * boobank: Bank accounts management
  * boobathon: Application to participate to a boobathon
  * boobcoming: List events, fill your calendar
  * boobill: Application allowing to get and download bills
  * booblyrics: Search and display song lyric
  * boobmsg: Read and post messages on websites from console
  * boobooks: List your books rented or booked at the library
  * boobsize: Display various gauges status
  * boobtracker: Search and download torrents
  * cineoob: Search movies, persons, torrents, subtitles, and get info about
             them
  * comparoob: Compare prices of products
  * cookboob: Search recipes, display details and export it in a readable
              format
  * flatboob: Look for a house
  * galleroob: Galleries search tool
  * geolooc: Geolocalize IP addresses from console
  * handjoob: Find a job
  * havedate: Increase your success on dating websites
  * monboob: Email proxy for websites containing messages
  * parceloob: Track shipping of parcels
  * pastoob: Paste long text and see pastes
  * radioob: Radio search and listening tool
  * suboob: Search and download subtitles for movies
  * translaboob: Translate functions
  * traveloob: Travel search tool
  * videoob: Video search tool
  * webcontentedit: Edit website contents from the command line
  * weboorrents: Torrent search tool
  * wetboobs: Weather forecast search tool

Package: weboob-qt
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-weboob (>= ${source:Version}), python-qt4-phonon
Description: Qt applications to interact with websites
 This package contains Qt applications including:
  * qboobmsg: Read and post messages on websites
  * qcineoob: Search for movies, persons, torrents, subtitles, and get info
              about them
  * qcookboob: Search recipes, find one, and cook
  * qflatboob: Look for a house
  * qhandjoob: Find a job
  * qhavedate: Increase your success on dating websites
  * qvideoob: Video search tool
  * qwebcontentedit: Edit website contents

## weboob 1.1

=== debian/changelog ===
weboob (1.1-1) unstable; urgency=medium

  * New Upstream release.
  * debian/gbp.conf: fix name of config section.
  * debian/patches: remove now useless patches.
  * install 'weboob' and 'shopoob' commands.

 -- Romain Bignon <romain@symlink.me>  Sat, 13 Feb 2016 12:56:01 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
   * the weboob library
   * applications base classes (command-line REPL and Qt4)
   * backends base classes
+  * weboob: global user friendly tool to load applications
   * weboob-config: command-line configuration program
  .
  Applications and backends are distributed in other packages.
@@ -64,6 +65,7 @@
   * parceloob: Track shipping of parcels
   * pastoob: Paste long text and see pastes
   * radioob: Radio search and listening tool
+  * shopoob: Obtain details and status of e-commerce orders
   * suboob: Search and download subtitles for movies
   * translaboob: Translate functions
   * traveloob: Travel search tool

=== debian/watch ===
version=3
https://symlink.me/projects/weboob/files \
	.*/weboob-([a-z0-9.]*)\.tar\.gz

## weboob 1.2

=== .ci/requirements.txt ===
coverage==4.2
flake8==3.2.1
mock==2.0.0
nose==1.3.7
pyflakes==1.3.0
xunitparser==1.3.3

=== weboob/applications/qbooblyrics/ui/Makefile ===
UI_FILES = $(wildcard *.ui)
UI_PY_FILES = $(UI_FILES:%.ui=%_ui.py)
PYUIC = pyuic5

all: $(UI_PY_FILES)

%_ui.py: %.ui
	$(PYUIC) -o $@ $^

clean:
	rm -f *.pyc
	rm -f $(UI_PY_FILES)

=== weboob/tools/application/qt5/Makefile ===
UI_FILES = $(wildcard *.ui)
UI_PY_FILES = $(UI_FILES:%.ui=%_ui.py)
PYUIC = pyuic5

all: $(UI_PY_FILES)

%_ui.py: %.ui
	$(PYUIC) -o $@ $^

clean:
	rm -f *.pyc
	rm -f $(UI_PY_FILES)

=== debian/changelog ===
weboob (1.2-1) unstable; urgency=medium

  * New Upstream Release.
  * Add QBoobLyrics.
  * patches/0001-do-not-install-modules.patch: add a patch to ignore 'modules'
    as a python module.
  * Fix dependency to python-pyqt5.
  * patches/0002-add-qbooblyrics.desktop.patch: add a patch to create the
    missing file 'qbooblyrics.desktop'.
  * fix build dependency to pyqt5-dev-tools.
  * add build dependency dh-python.

 -- Romain Bignon <romain@symlink.me>  Mon, 09 Jan 2017 03:43:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Romain Bignon <romain@symlink.me>
-Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 9~), pyqt4-dev-tools, python-all (>= 2.6.6-3~)
+Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 9~), dh-python, pyqt5-dev-tools, python-all (>= 2.6.6-3~)
 Standards-Version: 3.9.5
 Homepage: http://weboob.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/weboob.git
@@ -76,9 +76,10 @@
 
 Package: weboob-qt
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-weboob (>= ${source:Version}), python-qt4-phonon
+Depends: ${misc:Depends}, ${python:Depends}, python-weboob (>= ${source:Version}), python-pyqt5
 Description: Qt applications to interact with websites
  This package contains Qt applications including:
+  * qbooblyrics: Search songs and get lyrics
   * qboobmsg: Read and post messages on websites
   * qcineoob: Search for movies, persons, torrents, subtitles, and get info
               about them

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,8 @@
 		-Xbanquepopulaire.png \
 		-Xchatoob.png \
 		-Xgoogle.png \
-		-Xvideoob-web.png
+		-Xvideoob-web.png \
+		-X"videoobmc.py "
 
 %:
 	dh $@ --with python2

## weboob 1.3

=== .ci/requirements.txt ===
coverage==4.2
flake8==3.2.1
future==0.16.0
mock==2.0.0
nose==1.3.7
pyflakes==1.3.0
six==1.10.0
xunitparser==1.3.3

=== debian/changelog ===
weboob (1.3-2.1) unstable; urgency=medium

  * Non-maintainer upload, with permission.
  * Drop python-gdata recommendation that is not needed since 1.2 (Closes:
    #899012).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 12 Oct 2018 11:49:29 +0300

weboob (1.3-2) unstable; urgency=medium

  * Add warning about the software naming scheme.
  * remove insults (Closes: #905299):
    + remove_insults.patch: backport of PR#228
    + remove_insults2.patch: extra cleanup
  * Fix shebang according to policy in contrib scripts.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 15 Aug 2018 14:58:04 +0900

weboob (1.3-1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * New Upstream Release (Closes: #879211).
  * Updated VCS URLs (Alioth->Salsa).
  * Added myself to uploaders.
  * Switch to compat level 11.
  * Install bash completion in the new directory.
  * Switch copyright format link to HTTPS.
  * Bump Standards-Version to 4.1.4.
  * Override false positive on python-script-but-no-python-dep.
  * Added missing dependencies/recommends (thanks ntome).
  * python-pil replaces python-imaging/pillow (Closes: #866493).
  * Removed recommends on python-clientform, integrated into python-
    mechanize now.

  [ Stefano Zacchiroli ]
  * drop obsolete patch 0001-do-not-install-modules, integrated upstream
  * debian/*.install: ship new [q]galleroob applications

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 18 Apr 2018 02:15:41 +0900

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,36 @@
 Section: python
 Priority: optional
 Maintainer: Romain Bignon <romain@symlink.me>
-Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 9~), dh-python, pyqt5-dev-tools, python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.5
+Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Build-Depends: python-setuptools (>= 0.6b3), debhelper (>= 11~), dh-python, pyqt5-dev-tools, python-all (>= 2.6.6-3~), dh-exec
+Standards-Version: 4.1.4
 Homepage: http://weboob.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/weboob.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/weboob.git;a=summary
+Vcs-Browser: https://salsa.debian.org/debian/weboob
+Vcs-Git: https://salsa.debian.org/debian/weboob.git
 
 Package: python-weboob
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-dateutil, python-lxml,
- python-mechanize, python-yaml, python-cssselect, python-requests (>= 2.0)
-Recommends: python-clientform, python-imaging | python-pillow, python-gdata, python-feedparser
+ python-mechanize, python-yaml, python-cssselect, python-requests (>= 2.0),
+ python-unidecode, python-six
+Recommends: python-pil, python-feedparser,
+ python-googleapi, python-geopy, python-pycryptodome
 Suggests: python-nose, python-pysqlite2, weboob
 Provides: ${python:Provides}
 Breaks: python-weboob-core (<< 0.i-2)
 Replaces: python-weboob-core (<< 0.i-2)
 Description: Weboob, Web Out Of Browsers - library
+ Note from the Maintainer:
+ This software, included binaries and maybe other content contain childish
+ references to a specific women's body part. Upstream refused to rename it.
+ There is no diminishing or insulting message so I decided to keep it in the
+ archive. You may nevertheless feel uncomfortable using this tool.
+ .
  Weboob is a project helping interaction between applications and websites.
  .
  This package contains:
   * the weboob library
-  * applications base classes (command-line REPL and Qt4)
+  * applications base classes (command-line REPL and Qt5)
   * backends base classes
   * weboob: global user friendly tool to load applications
   * weboob-config: command-line configuration program
@@ -41,6 +50,12 @@
 Depends: ${misc:Depends}, ${python:Depends}, python-weboob (>= ${source:Version}), python-html2text, python-prettytable
 Recommends: python-termcolor
 Description: CLI applications to interact with websites
+ Note from the Maintainer:
+ This software, included binaries and maybe other content contain childish
+ references to a specific women's body part. Upstream refused to rename it.
+ There is no diminishing or insulting message so I decided to keep it in the
+ archive. You may nevertheless feel uncomfortable using this tool.
+ .
  This package contains command-line applications including:
   * boobank: Bank accounts management
   * boobathon: Application to participate to a boobathon
@@ -77,7 +92,14 @@
 Package: weboob-qt
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-weboob (>= ${source:Version}), python-pyqt5
+Recommends: python-pyqt5.qtmultimedia
 Description: Qt applications to interact with websites
+ Note from the Maintainer:
+ This software, included binaries and maybe other content contain childish
+ references to a specific women's body part. Upstream refused to rename it.
+ There is no diminishing or insulting message so I decided to keep it in the
+ archive. You may nevertheless feel uncomfortable using this tool.
+ .
  This package contains Qt applications including:
   * qbooblyrics: Search songs and get lyrics
   * qboobmsg: Read and post messages on websites
@@ -85,6 +107,7 @@
               about them
   * qcookboob: Search recipes, find one, and cook
   * qflatboob: Look for a house
+  * qgalleroob: Search and browse images and galleries
   * qhandjoob: Find a job
   * qhavedate: Increase your success on dating websites
   * qvideoob: Video search tool

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --single-version-externally-managed --qt
-	mkdir -p debian/tmp/etc/bash_completion.d
-	cp tools/weboob_bash_completion \
-		debian/tmp/etc/bash_completion.d/weboob
 
 override_dh_install:
 	dh_install --fail-missing \
